package netscape.softupdate;

import netscape.security.PrivilegeManager;
import netscape.security.Target;

public final class JarTool {
   static Target univFileTarg = Target.findTarget("UniversalFileAccess");

   private JarTool() {
   }

   private static native String nativeListCerts();

   public static String listCerts() {
      PrivilegeManager var0 = PrivilegeManager.getPrivilegeManager();
      if (var0 != null) {
         var0.checkPrivilegeEnabled(univFileTarg);
      }

      return nativeListCerts();
   }

   private static native int nativeValidateArchive(String var0);

   public static int validateArchive(String var0) {
      PrivilegeManager var1 = PrivilegeManager.getPrivilegeManager();
      if (var1 != null) {
         var1.checkPrivilegeEnabled(univFileTarg);
      }

      return nativeValidateArchive(var0);
   }

   private static native byte[] nativeNewHash(int var0);

   public static byte[] newHash(int var0) {
      PrivilegeManager var1 = PrivilegeManager.getPrivilegeManager();
      if (var1 != null) {
         var1.checkPrivilegeEnabled(univFileTarg);
      }

      return nativeNewHash(var0);
   }

   private static native byte[] nativeHash(int var0, byte[] var1, byte[] var2);

   public static byte[] hash(int var0, byte[] var1, byte[] var2) {
      PrivilegeManager var3 = PrivilegeManager.getPrivilegeManager();
      if (var3 != null) {
         var3.checkPrivilegeEnabled(univFileTarg);
      }

      return nativeHash(var0, var1, var2);
   }

   private static native String nativeEndHash(int var0, byte[] var1);

   public static String endHash(int var0, byte[] var1) {
      PrivilegeManager var2 = PrivilegeManager.getPrivilegeManager();
      if (var2 != null) {
         var2.checkPrivilegeEnabled(univFileTarg);
      }

      return nativeEndHash(var0, var1);
   }

   private static native int nativeSignArchive(String var0, String var1, String var2, String var3);

   public static int signArchive(String var0, String var1, String var2, String var3) {
      String var4 = new String(var0);
      PrivilegeManager var5 = PrivilegeManager.getPrivilegeManager();
      if (var5 != null) {
         var5.checkPrivilegeEnabled(univFileTarg);
      }

      return nativeSignArchive(var4, var1, var2, var3);
   }
}
