package netscape.softupdate;

import java.util.Enumeration;
import netscape.security.PrivilegeManager;

public final class RegistryNode implements RegistryErrors {
   private Registry reg;
   private int key;
   private String target;

   protected int getKey() {
      return this.key;
   }

   protected String getTarget() {
      return this.target;
   }

   private RegistryNode(Registry var1, int var2, String var3) {
      this.reg = var1;
      this.key = var2;
      this.target = var3;
   }

   public Enumeration properties() {
      return new RegEntryEnumerator(this.reg, this.key, this.target);
   }

   public void deleteProperty(String var1) throws RegistryException {
      PrivilegeManager.checkPrivilegeEnabled(this.target);
      int var2 = this.nDeleteEntry(var1);
      if (var2 != 0) {
         throw new RegistryException(var2);
      }
   }

   public int getPropertyType(String var1) throws RegistryException {
      PrivilegeManager.checkPrivilegeEnabled(this.target);
      int var2 = this.nGetEntryType(var1);
      if (var2 < 0) {
         throw new RegistryException(-var2);
      } else {
         return var2;
      }
   }

   public Object getProperty(String var1) throws RegistryException {
      PrivilegeManager.checkPrivilegeEnabled(this.target);
      return this.nGetEntry(var1);
   }

   public void setProperty(String var1, String var2) throws RegistryException {
      PrivilegeManager.checkPrivilegeEnabled(this.target);
      int var3 = this.setEntryS(var1, var2);
      if (var3 != 0) {
         throw new RegistryException(var3);
      }
   }

   public void setProperty(String var1, int[] var2) throws RegistryException {
      PrivilegeManager.checkPrivilegeEnabled(this.target);
      int var3 = this.setEntryI(var1, var2);
      if (var3 != 0) {
         throw new RegistryException(var3);
      }
   }

   public void setProperty(String var1, byte[] var2) throws RegistryException {
      PrivilegeManager.checkPrivilegeEnabled(this.target);
      int var3 = this.setEntryB(var1, var2);
      if (var3 != 0) {
         throw new RegistryException(var3);
      }
   }

   private native int nDeleteEntry(String var1);

   private native int nGetEntryType(String var1);

   private native Object nGetEntry(String var1);

   private native int setEntryS(String var1, String var2);

   private native int setEntryI(String var1, int[] var2);

   private native int setEntryB(String var1, byte[] var2);
}
