package netscape.softupdate;

import java.util.ResourceBundle;

class Strings {
   private static ResourceBundle gbundle;

   public static ResourceBundle bundle() {
      if (gbundle == null) {
         try {
            gbundle = ResourceBundle.getBundle("netscape.softupdate.SoftUpdateResourceBundle");
         } catch (Throwable var1) {
            System.err.println("Could not get localized\tresources:");
            var1.printStackTrace();
            System.err.println("Using English Language Default.");
            gbundle = new SoftUpdateResourceBundle();
         }
      }

      return gbundle;
   }

   public static String getString(String var0) {
      try {
         return bundle().getString(var0);
      } catch (Throwable var2) {
         System.err.println("Could not get resource " + var0 + ":");
         var2.printStackTrace();
         return var0 + "(!)";
      }
   }

   static String targetRiskLow() {
      return getString("s1");
   }

   static String targetRiskColorLow() {
      return "#aaffaa";
   }

   static String targetRiskMedium() {
      return getString("s2");
   }

   static String targetRiskColorMedium() {
      return "#ffffaa";
   }

   static String targetRiskHigh() {
      return getString("s3");
   }

   static String targetRiskColorHigh() {
      return "#ffaaaa";
   }

   static String targetDesc_LimitedInstall() {
      return getString("s4");
   }

   static String targetUrl_LimitedInstall() {
      return "http://iapp16.mcom.com/java/signing/Games.html";
   }

   static String targetDesc_FullInstall() {
      return getString("s5");
   }

   static String targetUrl_FullInstall() {
      return "http://iapp16.mcom.com/java/signing/FileRead.html";
   }

   static String targetDesc_SilentInstall() {
      return getString("s6");
   }

   static String targetUrl_SilentInstall() {
      return "http://iapp16.mcom.com/java/signing/FileWrite.html";
   }

   static String targetDesc_WinIni() {
      return getString("s7");
   }

   static String targetUrl_WinIni() {
      return "http://iapp16.mcom.com/java/signing/FileWrite.html";
   }

   static String targetDesc_WinReg() {
      return getString("s8");
   }

   static String targetUrl_WinReg() {
      return "http://iapp16.mcom.com/java/signing/FileWrite.html";
   }

   static String progress_Title() {
      return getString("s9");
   }

   static String progress_GettingReady() {
      return getString("s10");
   }

   static String progress_ReadyToInstall1() {
      return getString("s11");
   }

   static String progress_ReadyToInstall2() {
      return getString("s12");
   }

   static String details_Explain(String var0) {
      return getString("s13") + var0 + getString("s14");
   }

   static String details_WinTitle() {
      return getString("s15");
   }

   static String details_ExecuteProgress() {
      return getString("s16");
   }

   static String error_Prefix() {
      return getString("s17");
   }

   static String error_NoCertificate() {
      return error_Prefix() + getString("s18");
   }

   static String error_TooManyCertificates() {
      return error_Prefix() + getString("s19");
   }

   static String error_SilentModeDenied() {
      return error_Prefix() + getString("s20");
   }

   static String error_WinProfileMustCallStart() {
      return error_Prefix() + getString("s21");
   }

   static String error_MismatchedCertificate() {
      return error_Prefix() + getString("s22");
   }

   static String error_BadPackageName() {
      return error_Prefix() + getString("s23");
   }

   static String error_Unexpected() {
      return error_Prefix() + getString("s24");
   }

   static String error_BadPackageNameAS() {
      return error_Prefix() + getString("s25");
   }

   static String error_IllegalPath() {
      return error_Prefix() + getString("s26");
   }

   static String error_InstallFileUnexpected() {
      return error_Prefix() + getString("s27");
   }

   static String error_BadJSArgument() {
      return error_Prefix() + getString("s28");
   }

   static String error_SmartUpdateDisabled() {
      return error_Prefix() + getString("s29");
   }

   static String error_NoInstallerFile() {
      return "";
   }

   static String error_VerificationFailed() {
      return error_Prefix() + getString("s30");
   }

   static String error_MissingInstaller() {
      return error_Prefix() + getString("s31");
   }

   static String error_ExtractFailed() {
      return error_Prefix() + getString("s32");
   }
}
