package netscape.softupdate;

public class VersionInfo {
   private static final int NO_VALUE = -1;
   private static final int MAJOR_DIFF = 4;
   private static final int MINOR_DIFF = 3;
   private static final int REL_DIFF = 2;
   private static final int BLD_DIFF = 1;
   private static final int EQUAL = 0;
   private int major;
   private int minor;
   private int release;
   private int build;
   private int check;

   public VersionInfo(int var1, int var2, int var3, int var4) {
      this(var1, var2, var3, var4, 0);
   }

   public VersionInfo(int var1, int var2, int var3, int var4, int var5) {
      this.major = -1;
      this.major = var1;
      this.minor = var2;
      this.release = var3;
      this.build = var4;
      this.check = var5;
   }

   public String toString() {
      String var1 = "Version Undefined";
      if (this.major != -1) {
         var1 = String.valueOf(this.major) + "." + this.minor + "." + this.release + "." + this.build;
      }

      return var1;
   }

   public int compareTo(VersionInfo var1) {
      byte var2;
      if (var1 == null) {
         var2 = 4;
      } else if (this.major == var1.major) {
         if (this.minor == var1.minor) {
            if (this.release == var1.release) {
               if (this.build == var1.build) {
                  var2 = 0;
               } else if (this.build > var1.build) {
                  var2 = 1;
               } else {
                  var2 = -1;
               }
            } else if (this.release > var1.release) {
               var2 = 2;
            } else {
               var2 = -2;
            }
         } else if (this.minor > var1.minor) {
            var2 = 3;
         } else {
            var2 = -3;
         }
      } else if (this.major > var1.major) {
         var2 = 4;
      } else {
         var2 = -4;
      }

      return var2;
   }
}
