package netscape.softupdate;

import netscape.security.ParameterizedTarget;
import netscape.security.Principal;
import netscape.security.PrivilegeManager;
import netscape.security.Target;
import netscape.security.UserDialogHelper;

final class WinProfile {
   private String filename;
   // $FF: renamed from: su netscape.softupdate.SoftwareUpdate
   private SoftwareUpdate field_0;
   private Principal principal;
   private PrivilegeManager privMgr;
   private Target impersonation;
   private static ParameterizedTarget target = new ParameterizedTarget("WindowsIniFile", PrivilegeManager.getSystemPrincipal(), UserDialogHelper.targetRiskMedium(), UserDialogHelper.targetRiskColorMedium(), Strings.targetDesc_WinIni(), Strings.targetUrl_WinIni());
   static final String INI_TARGET = "WindowsIniFile";

   WinProfile(SoftwareUpdate var1, FolderSpec var2, String var3) throws SoftUpdateException {
      this.filename = var2.MakeFullPath(var3);
      this.field_0 = var1;
      this.principal = var1.GetPrincipal();
      this.privMgr = PrivilegeManager.getPrivilegeManager();
      this.impersonation = Target.findTarget("Impersonator");
   }

   public boolean writeString(String var1, String var2, String var3) {
      boolean var4;
      try {
         this.privMgr.enablePrivilege(this.impersonation);
         this.privMgr.enablePrivilege(target, this.principal, this.filename);
         WinProfileItem var5 = new WinProfileItem(this, var1, var2, var3);
         this.field_0.ScheduleForInstall(var5);
         var4 = true;
      } catch (Exception var7) {
         ((Throwable)var7).printStackTrace(System.out);
         var4 = false;
      }

      return var4;
   }

   public String getString(String var1, String var2) {
      try {
         this.privMgr.enablePrivilege(this.impersonation);
         this.privMgr.enablePrivilege(target, this.principal, this.filename);
         return this.nativeGetString(var1, var2);
      } catch (Exception var5) {
         ((Throwable)var5).printStackTrace(System.out);
         Object var3 = null;
         return (String)var3;
      }
   }

   protected String filename() {
      return this.filename;
   }

   protected SoftwareUpdate softUpdate() {
      return this.field_0;
   }

   protected int finalWriteString(String var1, String var2, String var3) {
      return this.nativeWriteString(var1, var2, var3);
   }

   private native int nativeWriteString(String var1, String var2, String var3);

   private native String nativeGetString(String var1, String var2);

   static {
      target = (ParameterizedTarget)target.registerTarget();
   }
}
