package netscape.softupdate;

import netscape.security.Principal;
import netscape.security.PrivilegeManager;
import netscape.security.Target;
import netscape.security.UserDialogHelper;
import netscape.security.UserTarget;

final class WinReg {
   public final int HKEY_CLASSES_ROOT = Integer.MIN_VALUE;
   public final int HKEY_CURRENT_USER = -2147483647;
   public final int HKEY_LOCAL_MACHINE = -2147483646;
   public final int HKEY_USERS = -2147483645;
   protected final int CREATE = 1;
   protected final int DELETE = 2;
   protected final int DELETE_VAL = 3;
   protected final int SET_VAL_STRING = 4;
   protected final int SET_VAL = 5;
   private int rootkey = Integer.MIN_VALUE;
   private Principal principal;
   private PrivilegeManager privMgr;
   private Target impersonation;
   // $FF: renamed from: su netscape.softupdate.SoftwareUpdate
   private SoftwareUpdate field_0;
   private static UserTarget target = new UserTarget("FullWindowsRegistryAccess", PrivilegeManager.getSystemPrincipal(), UserDialogHelper.targetRiskHigh(), UserDialogHelper.targetRiskColorHigh(), Strings.targetDesc_WinReg(), Strings.targetUrl_WinReg());
   static final String INI_TARGET = "FullWindowsRegistryAccess";

   WinReg(SoftwareUpdate var1) {
      this.field_0 = var1;
      this.principal = var1.GetPrincipal();
      this.privMgr = PrivilegeManager.getPrivilegeManager();
      this.impersonation = Target.findTarget("Impersonator");
   }

   public void setRootKey(int var1) {
      this.rootkey = var1;
   }

   public int createKey(String var1, String var2) {
      byte var3;
      try {
         this.privMgr.enablePrivilege(this.impersonation);
         this.privMgr.enablePrivilege(target, this.principal);
         WinRegItem var4 = new WinRegItem(this, this.rootkey, 1, var1, var2, (Object)null);
         this.field_0.ScheduleForInstall(var4);
         var3 = 0;
      } catch (Exception var5) {
         ((Throwable)var5).printStackTrace(System.out);
         var3 = -1;
      }

      return var3;
   }

   public int deleteKey(String var1) {
      byte var2;
      try {
         this.privMgr.enablePrivilege(this.impersonation);
         this.privMgr.enablePrivilege(target, this.principal);
         WinRegItem var3 = new WinRegItem(this, this.rootkey, 2, var1, (String)null, (Object)null);
         this.field_0.ScheduleForInstall(var3);
         var2 = 0;
      } catch (Exception var4) {
         ((Throwable)var4).printStackTrace(System.out);
         var2 = -1;
      }

      return var2;
   }

   public int deleteValue(String var1, String var2) {
      byte var3;
      try {
         this.privMgr.enablePrivilege(this.impersonation);
         this.privMgr.enablePrivilege(target, this.principal);
         WinRegItem var4 = new WinRegItem(this, this.rootkey, 3, var1, var2, (Object)null);
         this.field_0.ScheduleForInstall(var4);
         var3 = 0;
      } catch (Exception var5) {
         ((Throwable)var5).printStackTrace(System.out);
         var3 = -1;
      }

      return var3;
   }

   public int setValueString(String var1, String var2, String var3) {
      byte var4;
      try {
         this.privMgr.enablePrivilege(this.impersonation);
         this.privMgr.enablePrivilege(target, this.principal);
         WinRegItem var5 = new WinRegItem(this, this.rootkey, 4, var1, var2, var3);
         this.field_0.ScheduleForInstall(var5);
         var4 = 0;
      } catch (Exception var6) {
         ((Throwable)var6).printStackTrace(System.out);
         var4 = -1;
      }

      return var4;
   }

   public String getValueString(String var1, String var2) {
      String var3;
      try {
         this.privMgr.enablePrivilege(this.impersonation);
         this.privMgr.enablePrivilege(target, this.principal);
         var3 = this.nativeGetValueString(var1, var2);
      } catch (Exception var5) {
         ((Throwable)var5).printStackTrace(System.out);
         var3 = null;
      }

      return var3;
   }

   public int setValue(String var1, String var2, WinRegValue var3) {
      byte var4;
      try {
         this.privMgr.enablePrivilege(this.impersonation);
         this.privMgr.enablePrivilege(target, this.principal);
         WinRegItem var5 = new WinRegItem(this, this.rootkey, 5, var1, var2, var3);
         this.field_0.ScheduleForInstall(var5);
         var4 = 0;
      } catch (Exception var6) {
         ((Throwable)var6).printStackTrace(System.out);
         var4 = -1;
      }

      return var4;
   }

   public WinRegValue getValue(String var1, String var2) {
      WinRegValue var3;
      try {
         this.privMgr.enablePrivilege(this.impersonation);
         this.privMgr.enablePrivilege(target, this.principal);
         var3 = this.nativeGetValue(var1, var2);
      } catch (Exception var5) {
         ((Throwable)var5).printStackTrace(System.out);
         var3 = null;
      }

      return var3;
   }

   protected SoftwareUpdate softUpdate() {
      return this.field_0;
   }

   protected int finalCreateKey(int var1, String var2, String var3) {
      this.setRootKey(var1);
      return this.nativeCreateKey(var2, var3);
   }

   protected int finalDeleteKey(int var1, String var2) {
      this.setRootKey(var1);
      return this.nativeDeleteKey(var2);
   }

   protected int finalDeleteValue(int var1, String var2, String var3) {
      this.setRootKey(var1);
      return this.nativeDeleteValue(var2, var3);
   }

   protected int finalSetValueString(int var1, String var2, String var3, String var4) {
      this.setRootKey(var1);
      return this.nativeSetValueString(var2, var3, var4);
   }

   protected int finalSetValue(int var1, String var2, String var3, WinRegValue var4) {
      this.setRootKey(var1);
      return this.nativeSetValue(var2, var3, var4);
   }

   private native int nativeCreateKey(String var1, String var2);

   private native int nativeDeleteKey(String var1);

   private native int nativeDeleteValue(String var1, String var2);

   private native int nativeSetValueString(String var1, String var2, String var3);

   private native String nativeGetValueString(String var1, String var2);

   private native int nativeSetValue(String var1, String var2, WinRegValue var3);

   private native WinRegValue nativeGetValue(String var1, String var2);

   static {
      target = (UserTarget)target.registerTarget();
   }
}
